org.eclipse.aether.resolution

## Interface ArtifactDescriptorPolicy

- All Known Implementing Classes:
    SimpleArtifactDescriptorPolicy

      public interface ArtifactDescriptorPolicy

  Controls the handling of errors related to reading an artifact descriptor.
  See Also:
    `RepositorySystemSession.getArtifactDescriptorPolicy()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IGNORE_ERRORS` Bit mask indicating that all errors should be silently ignored.
    `static int` | `IGNORE_INVALID` Bit flag indicating that existent but invalid artifact descriptors should be silently ignored.
    `static int` | `IGNORE_MISSING` Bit flag indicating that missing artifact descriptors should be silently ignored.
    `static int` | `STRICT` Bit mask indicating that errors while reading the artifact descriptor should not be tolerated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPolicy(RepositorySystemSession session, ArtifactDescriptorPolicyRequest request)` Gets the error policy for an artifact's descriptor.

- - ### Field Detail

    - #### STRICT

          static final int STRICT

      Bit mask indicating that errors while reading the artifact descriptor should not be tolerated.
      See Also:
        Constant Field Values

    - #### IGNORE_MISSING

          static final int IGNORE_MISSING

      Bit flag indicating that missing artifact descriptors should be silently ignored.
      See Also:
        Constant Field Values

    - #### IGNORE_INVALID

          static final int IGNORE_INVALID

      Bit flag indicating that existent but invalid artifact descriptors should be silently ignored.
      See Also:
        Constant Field Values

    - #### IGNORE_ERRORS

          static final int IGNORE_ERRORS

      Bit mask indicating that all errors should be silently ignored.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPolicy

          int getPolicy(RepositorySystemSession session,
                      ArtifactDescriptorPolicyRequest request)

      Gets the error policy for an artifact's descriptor.
      Parameters:
        `session` - The repository session during which the policy is determined, must not be `null`.
        `request` - The policy request holding further details, must not be `null`.
      Returns:
        The bit mask describing the desired error policy.

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.